package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class SaleContractCollection extends AbstractObjectCollection 
{
    public SaleContractCollection()
    {
        super(SaleContractInfo.class);
    }
    public boolean add(SaleContractInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(SaleContractCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(SaleContractInfo item)
    {
        return removeObject(item);
    }
    public SaleContractInfo get(int index)
    {
        return(SaleContractInfo)getObject(index);
    }
    public SaleContractInfo get(Object key)
    {
        return(SaleContractInfo)getObject(key);
    }
    public void set(int index, SaleContractInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(SaleContractInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(SaleContractInfo item)
    {
        return super.indexOf(item);
    }
}